import type { Color, UpdateParameters } from "@deck.gl/core";
import { Layer } from "@deck.gl/core";
import type { Device } from "@luma.gl/core";
import { Model } from "@luma.gl/engine";
import type { DeckGLLayerContext, ExtendedLayerProps } from "../utils/layerTools";
export interface BoxLayerProps extends ExtendedLayerProps {
    lines: [number];
    color: Color;
}
export default class BoxLayer extends Layer<BoxLayerProps> {
    initializeState(context: DeckGLLayerContext): void;
    shouldUpdateState(): boolean;
    updateState({ context }: UpdateParameters<this>): void;
    setShaderModuleProps(args: Partial<{
        [x: string]: Partial<Record<string, unknown> | undefined>;
    }>): void;
    _getModels(device: Device): {
        model: Model;
        models: Model[];
        modelsByName: {
            grids: Model;
        };
    };
}
